## ----setup, include = FALSE----------------------------------------------
knitr::opts_chunk$set(
  collapse = TRUE,
  comment = "#>",
  eval = nzchar(Sys.getenv("EVAL_EEG_VIGNETTE"))
)

## ----basic-proc----------------------------------------------------------
#  library(eegUtils)
#  eeg_example <- import_raw("F:\\Dropbox\\EEGData\\RawEEGData\\BasicCat\\S2B1.bdf")
#  names(eeg_example)
#  eeg_example$srate

## ----reref-dat-----------------------------------------------------------
#  eeg_example <- reref_eeg(eeg_example, ref_chans = "average")
#  eeg_example <- reref_eeg(eeg_example, ref_chans = "average", robust = TRUE)
#  eeg_example <- reref_eeg(eeg_example, ref_chans = "average",
#                        exclude = c("EXG7", "EXG8"), robust = TRUE)

## ----filt-butter---------------------------------------------------------
#  eeg_example <- iir_filt(eeg_example,
#                          low_freq = .1,
#                          high_freq = 40,
#                          filter_order = 3) #specify a bandpass filter

## ----epoch-eeg-----------------------------------------------------------
#  list_events(eeg_example)
#  eeg_example <- epoch_data(eeg_example,
#                            events = 201,
#                            time_lim = c(-.3, .75))

## ----do-plots------------------------------------------------------------
#  plot_butterfly(eeg_example,
#                 time_lim = c(-.2, .5),
#                 legend = FALSE)
#  plot_butterfly(eeg_example,
#                 time_lim = c(-.2, .5),
#                 legend = FALSE,
#                 baseline = c(-.1, 0))
#  plot_timecourse(eeg_example,
#                  time_lim = c(-.2, .5),
#                  baseline = c(-.1, 0),
#                  electrode = "A30") # Plot POz
#  plot_timecourse(eeg_example,
#                  time_lim = c(-.2, .5),
#                  baseline = c(-.1, 0),
#                  electrode = "B6") # Plot Fz

## ----do-topo-------------------------------------------------------------
#  eeg_example <- electrode_locations(eeg_example, montage = "biosemi64alpha")
#  topoplot(eeg_example, time_lim = c(.1, .2))

## ----inter---------------------------------------------------------------
#  eeg_example <- interp_elecs(eeg_example, bad_elecs = "A1")
#  topoplot(eeg_example, time_lim = c(.1, .2))

